Name:           python-ogr
Version:        0.3.1.post1.dev1416+gf83c41c
Release:        1.20241107102112601951.pr1.1416.gf83c41c%{?dist}
Summary:        One API for multiple git forges

License:        MIT
URL:            https://github.com/packit/ogr
Source0:        ogr-0.3.1.post1.dev1416+gf83c41c.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
One Git library to Rule!

%package -n     python3-ogr
Summary:        %{summary}


%description -n python3-ogr
One Git library to Rule!


%prep
%autosetup -n ogr-0.3.1.post1.dev1416+gf83c41c


%generate_buildrequires
# The -w flag is required for EPEL 9's older hatchling
%pyproject_buildrequires %{?el9:-w}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ogr

mkdir -p %{buildroot}%{_bindir}
install -m 755 test-for-scan-failure.sh %{buildroot}%{_bindir}/test-for-scan-failure.sh

%files -n python3-ogr -f %{pyproject_files}
# Epel9 does not tag the license file in pyproject_files as a license. Manually install it in this case
%if 0%{?el9}
%license LICENSE
%endif
%doc README.md
%{_bindir}/test-for-scan-failure.sh


%changelog
* Thu Nov 07 2024 Packit <hello@packit.dev> - 0.3.1.post1.dev1416+gf83c41c-1.20241107102112601951.pr1.1416.gf83c41c
- [OSH testing] add test script (Laura Barcziova)
- Adjust Packit build job for commit (Laura Barcziova)
- Release 0.50.2 (mfocko)
- Implement get_commit_comment method and refactor CommitComment (Laura Barcziova)
- Release 0.50.1 (majamassarini)
- On github errors, retry once, and return a result or an exception (Maja Massarini)
- Fix the edge-case in GitLab award emojis (kapr200)
- Cover #856 with test (kapr200)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Update CHANGELOG.md (František Lachman)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Release 0.50.0 (lachmanfrantisek)
- Implement `GitProject.get_commits()` (Nikola Forró)
- style: fix ruff complaints (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- fix: remove unreachable exception handling (Matej Focko)
- Substitute types-pkg_resources with types-setuptools (Maja Massarini)
- Avoid deepdiff version 8.0.0 in packit tests (Maja Massarini)
- Enable use of sidetags for downstream automation (Nikola Forró)
- Do not use dnf config-manager to set packit-dev repo priority (Nikola Forró)
- Configure allowed_builders (Nikola Forró)
- Release 0.49.2 (lbarcziova)
- Use normpath for file path when getting file in GitLab (Laura Barcziova)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- ci: add license header pre-commit action (Matej Focko)
- ci: add pre-commit schema validation for GH Actions (Matej Focko)
- ci: remove PR template and placeholder for release notes (Matej Focko)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Release 0.49.1 (lbarcziova)
- Unify interface for labels (Laura Barcziova)
- Release 0.49.0 (nforro)
- Implement get_users_with_access for Pagure (Laura Barcziova)
- Implement getting of groups in Pagure (Laura Barcziova)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Update CHANGELOG.md (František Lachman)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Release 0.48.1 (lachmanfrantisek)
- Fix log level and wording (Nikola Forró)
- Release 0.48.0 (majamassarini)
- Increase log level in get_files_diff (Maja Massarini)
- Fix race condition causing ENOPRSTATS (Maja Massarini)
- Implement get_pr_diff for Pagure (Laura Barcziova)
- Fix GithubRelease.url to not return API url (Laura Barcziova)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- docs: add an example of syncing labels (Matej Focko)
- Release 0.47.1 (mfocko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- test_mr_list_limit: skip on old python-gitlab (Tomas Tomecek)
- tests: add requre response and be explicit in test (Matej Focko)
- gitlab list MRs: return all, not just 20 (Tomas Tomecek)
- fix(tests): use correct attribute to get exception (Matej Focko)
- ci(tmt): allow running subset of the tests (Matej Focko)
- ci(ruff): remove unnecessary ignores (Matej Focko)
- ci(ruff): enable the perflint and ruff rules (Matej Focko)
- ci: disable pre-commit's flake8 and pyupgrade (Matej Focko)
- ci(ruff): enable pyupgrade (Matej Focko)
- ci(ruff): enable flake8-pytest-style (Matej Focko)
- ci(ruff): enable flake8-simplify (Matej Focko)
- ci(ruff): enable flake8-return (Matej Focko)
- ci(ruff): enable flake8-pie (Matej Focko)
- ci(ruff): enable isort (Matej Focko)
- ci(ruff): enable rules without changes (Matej Focko)
- ci(ruff): enable flake8-commas (Matej Focko)
- ci(ruff): enable flake8-comprehensions (Matej Focko)
- ci(ruff): enable flake8-bugbear (Matej Focko)
- ci: add ruff (Matej Focko)
- Update CHANGELOG.md (František Lachman)
- Update CHANGELOG.md (František Lachman)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Release 0.47.0 (lachmanfrantisek)
- Update COMPATIBILITY.md (Nikola Forró)
- Allow to check for groups with permissions to modify a PR (Nikola Forró)
- Add support for removing users/groups from a project (Nikola Forró)
- Release 0.46.2 (nforro)
- Add README to package metadata (Nikola Forró)
- Release 0.46.1 (nforro)
- Handle timezone-aware timestamps (Nikola Forró)
- ci(zuul)!: disable RPM and reverse-dependency tests (Matej Focko)
- ci: convert reverse-dependency tests to tmt (Matej Focko)
- ci: add tmt linting to the pre-commit (Matej Focko)
- Stop depending on setuptools_scm_git_archive (Nikola Forró)
- Use pyproject macros (Nikola Forró)
- Switch to pyproject.toml and hatchling (Nikola Forró)
- ci: add missing permissions for docs action (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Release 0.46.0 (nforro)
- Fix get_fork for Pagure (Laura Barcziova)
- The rpmautospec-rpm-macros are no longer needed. (Frantisek Lachman)
- ci: add permissions to GH Action token for release (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- tests pagure: bypass weird date comp failure (Tomas Tomecek)
- make sure %license is SPDX compatible (Tomas Tomecek)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Add a note about supported PyGithub version to changelog (František Lachman)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Release 0.45.0 (lachmanfrantisek)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Support PyGithub >= 1.58 (Nikola Forró)
- ci: add test coverage to pytest (Matej Focko)
- Publishing to PyPI with a Trusted Publisher (Jiri Popelka)
- Use setup-python action v4 (Jiri Popelka)
- Stop building wheel from Git checkout in CI/CD (Sviatoslav Sydorenko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Release 0.44.0 (lachmanfrantisek)
- Add known GitLab instances (Frantisek Lachman)
- Release 0.43.0 (majamassarini)
- Update prepare-release (Maja Massarini)
- Support both hostname and url as a custom service mapping (Frantisek Lachman)
- Compare hostnames when using custom instances (Frantisek Lachman)
- Drop PEP 517 installer warning (Maja Massarini)
- Fix license_file is deprecated (Maja Massarini)
- Authentication method can now be customized (Maja Massarini)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Release 0.42.0 (mfocko)
- fix(pagure): add paging to tests (Matej Focko)
- fix: get all PRs in PagurePullRequest.get_list instead of one page (Jiri Kyjovsky)
- fix(pagure): raise network error for 50x (Matej Focko)
-  Use github-actions bot to run prepare-release steps (Jiri Popelka)
- actions/checkout@v2 -> v3 (Jiri Popelka)
- Use fully-qualified collection names (Jiri Popelka)
- [Packit config] Rename deprecated production_build (Laura Barcziova)
- [Packit config] Add pull_from_upstream (Laura Barcziova)
- Switch ‹Retry› constructor to ‹allowed_methods› (Matej Focko)
- Release 0.41.0 (majamassarini)
- Remove old deprecations (František Nečas)
- Deprecate CommitComment.comment in favour of body (František Nečas)
- Fix typo in test plan metadata (Nikola Forró)
- Add missing test requirements (Nikola Forró)
- Explicitly specify Python interpreter options when running pytest (Nikola Forró)
- Drop support for EPEL 8 and Python < 3.9 (Nikola Forró)
- Deal with errors while retrieving file from Pagure (Maja Massarini)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Release 0.40.0 (lachmanfrantisek)
- Feat(test data): add test data for testing write access to repo (Jiri Kyjovsky)
- Feat: list and decide who has write access to the repository (Jiri Kyjovsky)
- Push to pypi when release is released (Maja Massarini)
- Enable EPEL 9 (Nikola Forró)
- Provide a GitHub token for the prepare-release action (Hunor Csomortáni)
- Add new issues to the Kanban board (Frantisek Lachman)
- Restrict the do-release workflow to packit projects (Hunor Csomortáni)
- Fix github token name (Maja Massarini)
- Fix awk line (Maja Massarini)
- Strip away # lines (Maja Massarini)
- Release 0.39.0 (majamassarini)
- Add the prepare-release action (Hunor Csomortáni)
- New GitHub workflow: create a release (Maja Massarini)
- fix(tests): add missing GitLab response (Matej Focko)
- Build stable commits in packit-stable Copr repo (Frantisek Lachman)
- Add PR.closed_by to COMPATIBILITY.md (Laura Barcziova)
- Implement closed by property for Pagure PR (Laura Barcziova)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Add allowed_pr_authors for Koji build job in Packit config (Laura Barcziova)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Remove the 'metadata' key from .packit.yaml (Hunor Csomortáni)
- Add GitProject.get_commit_comments() (Jiri Popelka)
- When merging from a fork target project is parent (Maja Massarini)
- Prepare release 0.38.1 (Frantisek Lachman)
- Drop runtime dependency on setuptools (Frantisek Lachman)
- Add setuptools to requirements (Frantisek Lachman)
- Unify the configuration of prod and stage Packit instance (Frantisek Lachman)
- fix(github): raise specific exception from tokman (Matej Focko)
- Release 0.38.0 (František Nečas)
- fix(pagure): raise for invalid URL in pagure (Matej Focko)
- chore(tests): rename responses (Matej Focko)
- fix(issues): raise exception when issues are disabled (Matej Focko)
- Use Packit stage instance for downstream jobs (Frantisek Lachman)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Use upstream for creating issues about downstream Packit failures (Frantisek Lachman)
- Create Bodhi updates for branched development version as well (Frantisek Lachman)
- Release 0.37.0 (Laura Barcziova)
- feat: implement getting contributors (Matej Focko)
- Update black version in pre-commit to fix the CI failures (Frantisek Lachman)
- Use both prod and stg Packit instance (Frantisek Lachman)
- fix(tests): expect ogr exceptions to be raised (Matej Focko)
- feat(exceptions): wrap all uncaught exceptions (Matej Focko)
- fix: use OperationNotSupported in Pagure (Matej Focko)
- feat(exceptions): add new exceptions for 50x codes (Matej Focko)
- feat(issues): add exception for disabled tracker (Matej Focko)
- feat: add property for issue tracker status (Matej Focko)
- tests(forks): add tests for forking to namespaces (Matej Focko)
- feat(forks): allow forking to specific namespace (Matej Focko)
- Release 0.36.0 (František Nečas)
- Switch from git:// to https:// for rebase hook (František Nečas)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Add srpm_build_deps to the config (Laura Barcziova)
- Apply suggestions from review (Matej Focko)
- Refactor PagureRelease (Matej Focko)
- Refactor GitlabRelease (Matej Focko)
- Refactor GithubRelease (Matej Focko)
- Rework Release class (Matej Focko)
- github PR template: explicit release notes section (Tomas Tomecek)
- Improve parsing of service class from URL (Matej Focko)
- Release 0.35.0 (Maja Massarini)
- Create bodhi update via Packit for completed Koji builds (Frantisek Lachman)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Use urllib3 directly not through requests (Hunor Csomortáni)
- Update classifiers to mark support for Python 3.9 and 3.10 (Hunor Csomortáni)
- Do not encode dots in test data for GitLab (Matej Focko)
- Do not use deprecated access level constants for GitLab (Matej Focko)
- Switch GitLab members to non-deprecated method (Matej Focko)
- Add head commit of target branch to PullRequest (Matej Focko)
- 0.34.0 release (Tomas Tomecek)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Add tests for ‹get_sha_from_branch› (Matej Focko)
- Implement getter of SHA for branches (Matej Focko)
- Test that Gitlab.list_projects() returns correct objects (Jiri Popelka)
- Correctly convert projects in GitlabService.list_projects() (Jiri Popelka)
- Release 0.33.0 (Matej Focko)
- Trigger koji build for new dist-git commits (Frantisek Lachman)
- Update compatibility.md: remove PR.get_comment (Jiri Kyjovsky)
- Add test case for PagurePullRequest.get_comment (Jiri Kyjovsky)
- Add PagurePullRequest.get_comment by its id (Jiri Kyjovsky)
- Add Comment.id property (Jiri Kyjovsky)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Release 0.32.0 (František Nečas)
- Fix GithubCheckRun.output annotation (Jiri Popelka)
- Add app property to GithubCheckRun (Jiri Popelka)
- Refactor PullRequest interface (František Nečas)
- Remove deprecated methods moved to other objects (František Nečas)
- Deprecate use of string as commit status (František Nečas)
- Removed deprecated properties (František Nečas)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Fix flexmock imports (Hunor Csomortáni)
- 0.31.0 release (Tomas Tomecek)
- More pre-commit checks (Jiri Popelka)
- Convert common errors to ogr exceptions (František Nečas)
- Convert Github/Gitlab exceptions to ogr exceptions (František Nečas)
- Add missing f-prefix to add_user() (František Nečas)
- Make use of Python exception chaining if possible (František Nečas)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Switch docstrings to Google style (Matej Focko)
- Make license headers consistent (Matej Focko)
- Build in Copr for all Fedora releases and EPEL 8 (Hunor Csomortáni)
- Build the development version in packit-dev (Hunor Csomortáni)
- Release 0.30.0 (Hunor Csomortáni)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Add test cases for Issue&PullRequest.get_comment (Jiri Kyjovsky)
- Update compatibility.md: PullRequest.get_comment (Jiri Kyjovsky)
- Add `get_comment` method to PullRequest and Issue (Jiri Kyjovsky)
- 0.29.0 (Tomas Tomecek)
- Test react_to_comment, get_reactions, Reaction.delete functionality (Jiri Kyjovsky)
- Add react_to_comment, get_reactions, Reaction.delete functionality (Jiri Kyjovsky)
- Update compatibility.md (Jiri Kyjovsky)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Makefile: pass TEST_TARGET into check-in-container (Jiri Popelka)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Let contributors know about changing the COMPATIBILITY.md (Jiri Kyjovsky)
- Update: remove fully supported properties (Jiri Kyjovsky)
- Release 0.28.0 (Matej Focko)
- Fix merge_commit_sha for GitLab (Matej Focko)
- Add PR template (Matej Focko)
- Log (debug) creating of a fork (Jiri Popelka)
- Add pkgs.[stg.]fedoraproject.org to the list PagureService is used for (Jiri Popelka)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Avoid exc when conclusion of Github check run is None (lbarcziova)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- 0.27.0 release (Jiri Popelka)
- Add GitlabPullRequest.patch property (Jiri Kyjovsky)
- Add GithubPullRequest.patch property (Jiri Kyjovsky)
- Add description get property for Pagure project (Frantisek Lachman)
- Add description get/set property for GitLab project (Frantisek Lachman)
- Add description get/set property for Github project (Frantisek Lachman)
- Use new naming for response files (Frantisek Lachman)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- TF: check specfile with rpmlint (Tomas Tomecek)
- Do not use assert in the production code (Frantisek Lachman)
- New test_data files (Ben Crocker)
- Support using the merge ref instead of the head ref in a pull request (Ben Crocker)
- Set project_dir when zuul is not defined (Jiri Popelka)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Set project_dir as a fact (Jiri Popelka)
- pre-commit-config: add additional_dependencies for mypy (Jiri Popelka)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- 0.26.0 release (Tomas Tomecek)
- add function for adding assignees to issues (Kevin Postlethwait)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Make 'make check' more consistent across projects (Ben Crocker)
- Make zuul install latest RPM dependencies (Matej Focko)
- Add tests for GitHub Check Runs (Matej Focko)
- Implement GitHub Check Runs (Matej Focko)
- 0.25.0 release (lbarcziova)
- Add pyupgrade to pre-commit to match packit's config (Frantisek Lachman)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Use indirect decorator and move code (Matej Focko)
- Introduce indirect decorator (Matej Focko)
- Remove unnecessary test data (Matej Focko)
- Completed list_projects with the basic functionality (abkosar)
- Makefile: (Ben Crocker)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- ignored kwargs: log only when set (Tomas Tomecek)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- packit.yaml: Remove bogus synced_files config (Hunor Csomortáni)
- 0.24.1-release (Matej Mužila)
- Call 'make check' in 'make check-in-container' (Hunor Csomortáni)
- GitHub: Fix breaking API change in get_emails() (Hunor Csomortáni)
- Update cassette for GitLab's PR merge test (Hunor Csomortáni)
- Use GitlabGetError from gitlab.exceptions (Hunor Csomortáni)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- 0.24.0-release (Matej Mužila)
- Refactor exceptions for non-supported features, changing NotImplementedError to OperationNotSupported where a method is not supported on a particular Git forge. (Ben Crocker)
- Unify behaviour in get_file_content (Matej Focko)
- Remove unused exception (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- 0.23.0 release (Jiri Popelka)
- Log ignored keyword arguments in services (Matej Focko)
- Ignore other keyword arguments in GitlabService (Matej Focko)
- Test GitLab service ignoring arbitrary arguments (Matej Focko)
- Export types in the package (PEP-561) (Romain Arnaud)
- Fix reverse-dep-packit-tests (Jiri Popelka)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- added packit.github.io/ogr to readme (LilySu)
- pagure: enable creating PRs from fork via fork_username (Tomas Tomecek)
- Install rpmautospec-rpm-macros on Fedora only (Jiri Popelka)
- Workflow for uploading to PyPI when a release is created (Jiri Popelka)
- packit: create downstream %changelog from git-log (Tomas Tomecek)
- Make testing in a container environment easier (Hunor Csomortáni)
- Allow ignoring custom instances when creating a project (Hunor Csomortáni)
- Write a changelog entry for release 0.22.0 (Hunor Csomortáni)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- Implement retry mechanism for Github (Matej Mužila)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Fix getting latest release (Matej Focko)
- Release 0.21.0 (Matej Focko)
- Split ci.fmf into plans/*.fmf (Jiri Popelka)
- Implement get_files for Pagure (Matej Focko)
- [ci.fmf] remove old TF specific code (Jiri Popelka)
- Add autogeneration of docs (Matej Focko)
- Release 0.20.0 (Matej Focko)
- Implement commits_url for pull requests (Matej Focko)
- Implemented project.exists for GitHub (#480) (Himanshu Sharma)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Remove 'master' from task name (Hunor Csomortáni)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Enable build and test for epel-8 (Frantisek Lachman)
- Change exception for edited on GitLab's commit flag (Matej Focko)
- 0.19.0 release (Release bot)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Regenerate requre data (Jiri Popelka)
- Add and implement GitProject.default_branch property (Jiri Popelka)
- [Makefile] fix remove-response-files-* targets (Jiri Popelka)
- PagureService: Make retries parametrizable (Hunor Csomortáni)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- [.packit.yaml] Set copy_upstream_release_description to true (lbarcziova)
- Update CHANGELOG.md (Ján Sakáloš)
- 0.18.1 release (Jan Sakalos)
- [pre-commit.ci] auto fixes from pre-commit.com hooks (pre-commit-ci[bot])
- 0.18.1 release (Release bot)
- Add str for GitProject (used in mocking tests) (Matej Focko)
- Fix str representation of GitlabCommitFlag (Matej Focko)
- Add __str__ for CommitComment (Matej Focko)
- Add an abstract class with binding of repr to str (Matej Focko)
- Trigger scratch koji build for fedora-devel on PRs (Frantisek Lachman)
- [ci.fmf] there's no git-source/ in 'new' Testing Farm (Jiri Popelka)
- Do not pass username to the PagureProject if not fork (Matej Focko)
- Fix parsing of ssh urls and default to https protocol (Matej Focko)
- Update parsing tests (Matej Focko)
- Add more tests to parsing (Matej Focko)
- [pre-commit.ci] pre-commit autoupdate (pre-commit-ci[bot])
- Turn off requre in pre-commit CI and move rebase to pre-push (Matej Focko)
- Do not skip bug and security issues by stalebot (Frantisek Lachman)
- Update CHANGELOG.md (Jiri Popelka)
- 0.18.0 release (Release bot)
- Fix anonymous GitlabService (Matej Focko)
- Adding delete project functionality (shreyas)
- Update pre-commit configuration for prettier (Matej Focko)
- Add assignees argument while creating issue (shreyas)
- 0.17.0 release (Release bot)
- Remove files/tasks/zuul-project-setup.yaml (Jiri Popelka)
- Implement project.exists for GitLab (Frantisek Lachman)
- Raise better exception for user's email in Pagure (Matej Focko)
- Add description argument to all project_create methods (Frantisek Lachman)
- Update CHANGELOG for 0.16.0 release (Matej Focko)
- 0.16.0 release (Release bot)
- Update contribution guide (Matej Focko)
- Refactor Pagure and factory tests (Matej Focko)
- Refactor GitLab tests (Matej Focko)
- Refactor GitHub tests (Matej Focko)
- this is first draft how new tests could look like (Jan Ščotka)
- Add badge for pre-commit and black to README (Frantisek Lachman)
- Refactor `parse_git_repo` (Matej Focko)
- Use parenthesis for lru_cache decorator (Frantisek Lachman)
- Add hostname property to service class (Frantisek Lachman)
- Fix inheritance of GitlabService from BaseGitService (Frantisek Lachman)
- 0.15.0 release (Release bot)
- Support multi-part namespaces in parsing (Frantisek Lachman)
- Validate commit flag state before setting (Matej Focko)
- Add type ignore to GitHub App auth (Matej Focko)
- Update pre-commit configuration and fix mypy remarks (Matej Focko)
- Update changelog and spec file (Dominika Hodovska)
- 0.14.0 release (Release bot)
- Add remarks from review (Matej Focko)
- Refactor authentication in `GithubService` (Matej Focko)
- Add suggestions from review for token managers (Matej Focko)
- Check for multiple auth methods in `GithubService` (Matej Focko)
- Add unit tests for parsing `tokman_instance_url` (Matej Focko)
- Implement TokmanGithubTokenManager (Matej Focko)
- Implement suggestions from review (Matej Focko)
- Introduce token managers for GitHub App (Matej Focko)
- Move getting github_instance from project to service (Matej Focko)
- Update changelog and spec file (Release bot)
- 0.13.1 release (Release bot)
- https://github.com/packit-service -> https://github.com/packit (Jiri Popelka)
- Add Jupyter examples (Matej Focko)
- fix create issue in Github and add test (shreyas)
- Apply suggestions from code review (Ján Sakáloš)
- 0.13.0 release (Release bot)
- Making create_issue uniform by adding labels (shreyas)
- Add support to create private issue (shreyas)
- Fix getting the installation ID after PyGithub 1.52 (Matej Focko)
- Org rename: fix integration tests (Hunor Csomortáni)
- zuul: org rename (Fabien Boucher)
- request access to project on Gitlab (shreyas)
- Support add group for pagure (Dominika Hodovska)
- Revert "Drop python 3.6" (Hunor Csomortáni)
- Update ogr/utils.py (lachmanfrantisek)
- Remove unused util functions (Frantisek Lachman)
- Refactor using sourcery (Frantisek Lachman)
- 0.12.2 release (Release bot)
- Job metadata key 'dist_git_branch' has been renamed to 'dist_git_branches' (Jiri Popelka)
- Replace Python version glob with macro (Hunor Csomortáni)
- Fix get_file_content was returning byte format (shreyas)
- Build in copr for master commits and releases (Frantisek Lachman)
- Add usage to creating PRs on GitLab (Matej Focko)
- Fix GitLab pull requests (Matej Focko)
- Add tests for creating PRs on GitLab (Matej Focko)
- [Zuul] Don't redefine base job (Jiri Popelka)
- [Zuul] Use common pre-commit job (Jiri Popelka)
- Drop python 3.6 (Jiri Popelka)
- Update & run pre-commit (Jiri Popelka)
- Improve the message when marking issues as stale (Hunor Csomortáni)
- Fix remarks from compatibility.md review (Matej Focko)
- Add compatibility table (Matej Focko)
- Update CHANGELOG.md (Dominika Hodovska)
- Update CHANGELOG.md (Dominika Hodovska)
- Update CHANGELOG.md (Dominika Hodovska)
- 0.12.1 release (Release bot)
- Fix unit tests for Github PRs (Matej Focko)
- Implement creating PRs fork->other-fork on Github (Matej Focko)
- Use custom_instances to provide custom_mapping (Frantisek Lachman)
- Add PullRequest.patch property (Jiri Popelka)
- GitHub: query only one user when telling if a user can merge PRs (Hunor Csomortáni)
- Adding tests for add_user (Shreyas)
- Adding collaborators to projects - (Github, Gitlab) (shreyaspapi)
- Update CHANGELOG.md (lachmanfrantisek)
- 0.12.0 release (Frantisek Lachman)
- Declare repositories on git.centos.org not private (Hunor Csomortáni)
- Create PR works for Github and fixed test (sai)
- Refactor getting projects internally (Matej Focko)
- Add tests for `source_project` on PullRequest (Matej Focko)
- Implement `source_project` on PullRequest (Matej Focko)
- Add source/target_project to PullRequest (Matej Focko)
- Fix tests after requre update (Matej Focko)
- Implement `head_commit` for GitHub and GitLab (Matej Focko)
- Make tests for `head_commit` on PullRequest (Matej Focko)
- spec: don't do python_provide on F33+ (Tomas Tomecek)
- 0.11.3 release (Release bot)
- Switch backticks to apostrophes in Pagure errors (Matej Focko)
- Add is_fork and username to PagureProject __str__ (Matej Focko)
- Move pre-commit-pb.yaml to files/zuul-pre-commit.yaml (Jiri Popelka)
- Rm files/tasks/install-ansible.yaml (Jiri Popelka)
- Run on Fedora 31 (Jiri Popelka)
- Fix pagination in GitLab and add tests (Matej Focko)
- Fix pagination for GitlabCommitFlag (Matej Focko)
- Add tests for PagureIssue setters (Matej Focko)
- Implement Issue setters for Pagure (Matej Focko)
- revert rpmautospec (Tomas Tomecek)
- spec: dont hardcode name/version, use macros instead (Tomas Tomecek)
- Apply suggestions from code review by csomh (lachmanfrantisek)
- 0.11.2 release (Frantisek Lachman)
- Add a method to set flags on Pagure PRs (Hunor Csomortáni)
- Annotate PagurePullRequest.head_commit's return type (Hunor Csomortáni)
- Remove test jobs from zuul gating jobs (lbarcziova)
- packit.xml: set upstream_package_name (Tomas Tomecek)
- added CentOS prod/stg instances to pagure service (Jan Sakalos)
- use rpmautospec (Tomas Tomecek)
- p.yaml: use new syntax for dist_git_branch (Tomas Tomecek)
- Add created/edited properties to CommitFlag (tomas)
- print pagure API errors properly (Tomas Tomecek)
- revert change (adarLa)
- PR comment: use pagure pagination metadata (adarLa)
- using pagination to retrieve pagure issue list (adarLa)
- CHANGELOG.md and python-ogr.spec updated (Jan Sakalos)
- 0.11.1 release (Release bot)
- unnecessry pip/rpm install removed (Jan Sakalos)
- add last_commit property to Pagure project (Jan Sakalos)
- github: raise when we didn't obtain install id (Tomas Tomecek)
- whitespace: put space b/w words (Tomas Tomecek)
- invoke tests directly with pytest (Tomas Tomecek)
- gitlab,get_forks: p-gitlab can't process server's response (Tomas Tomecek)
- raise OperationNotSupported when gitlab doesn't support releases (Tomas Tomecek)
- zuul: don't install twine, we don't need it in CI (Tomas Tomecek)
- gitlab.members.all() turned into dict (Tomas Tomecek)
- github.repo.get_issues wants GithubLabel, not str (Tomas Tomecek)
- split test_issue_permissions into two (Tomas Tomecek)
- Fix and refactor packit rev-dep tests (lbarcziova)
- Fix the descriptions in playbooks (lbarcziova)
- [CHANGELOG.md] 0.11.0 release (Release bot)
- [spec] 0.11.0 & Source0 & pypi_name->srcname (Jiri Popelka)
- Add stage to expected pagure instances (Dominika Hodovska)
- Set missing info in GitHub commit flags (Frantisek Lachman)
- Regenerate responses for 'test_issue_list_label' (Frantisek Lachman)
- List all GitLab issues (ignore pagination) (Frantisek Lachman)
- Allow to filter issues by labels. (Clement Verna)
- enable getting projects defined with SSH URLs (Tomas Tomecek)
- Add diff_url to the PR classes (Frantisek Lachman)
- Add missing setters to abstract PR class (Frantisek Lachman)
- apply precommit changes (Jan Ščotka)
- simplify requre testcases and use requre base test class (Jan Ščotka)
- Use only first+last token/key character in the __str__ methods (Frantisek Lachman)
- updated PullRequest depr message Co-Authored-By: lachmanfrantisek <lachmanfrantisek@gmail.com> (Jan Sakalos)
- provide is_private method on GitProjects (Dominika Hodovska)
- improve pagure error response (Jan Sakalos)
- [.packit.yaml] remove no-longer needed keys & use aliases (Jiri Popelka)
- [CONTRIBUTING.md] update (Jiri Popelka)
- Add support for tags when creating pagure issues. (Clement Verna)
- Generate standard .gitignore file (Nick Cannariato)
- [Pre-commit] Use Prettier (Jiri Popelka)
- [pre-commit] autoupdate (Jiri Popelka)
- Run setup-cfg-fmt (Jiri Popelka)
- Strip trailing slash from URL, if it exists (Nick Cannariato)
- Add test for trailing slash in URL (Nick Cannariato)
- github.pr.author: use login instead of name (Tomas Tomecek)
- Bump the specfile (Frantisek Lachman)
- 0.10.0 release (Frantisek Lachman)
- Add tests for filtering issues by author/assignee (Matej Focko)
- Add filtering of issues by author/assignee (Matej Focko)
- Add response files (lbarcziova)
- Add parameters to get_files method (lbarcziova)
- WIP: add method to list files (lbarcziova)
- github: set repo & namespace when forking (Tomas Tomecek)
- Implement get_tags for GithubProject (Matej Focko)
- Fix update_pr_info (Pagure) bug (Matej Focko)
- Implement setters for Pagure PR (Matej Focko)
- Implement Issue/PR setters for Github/Gitlab (Matej Focko)
- Add tests for PR/Issue setters for Github/Gitlab (Matej Focko)
- (#245) Improve Pagure's project_create* add reason of failure (Matej Focko)
- Regenerate gitlab tests after dep update (Matej Focko)
- Bump the specfile (Frantisek Lachman)
- 0.9.0 release (Frantisek Lachman)
- Add trim commit flag descripttion to all implementations (Frantisek Lachman)
- Allow creating sommit flags with commit state as a string (Frantisek Lachman)
- Change IntEnum to Enum (Matej Focko)
- Implement enum for CommitFlag states (Matej Focko)
- Fix typos and add tests (Matej Focko)
- Implement flags for pull requests (Matej Focko)
- Implement CommitFlag for services (Matej Focko)
- Add methods to abstract CommitFlag (Matej Focko)
- Fix typo in comments (Matej Focko)
- Move deprecation to separate file (Matej Focko)
- Fix backward compatibility on pull requests (Matej Focko)
- Change attribute comment to body on comments (Matej Focko)
- Add backward links to comments Closes #255 (Matej Focko)
- Implement editing comments (Matej Focko)
- Return smoke test (Frantisek Lachman)
- Increase version for packit propose-update (Frantisek Lachman)
- Implementation of GitPython instead of calling subprocess (Jan Buchmaier)
- Fix remarks from review (Matej Focko)
- Fix tests (Matej Focko)
- Fix small typos and add dummy parameters/attributes (Matej Focko)
- Rename pr_create to create_pr and pr_id to id (Matej Focko)
- Implement static methods for PRs (Matej Focko)
- Move deprecated functions to base project and deprecate them (Matej Focko)
- Create read-only PullRequest class (Matej Focko)
- Remove unused code, refactor code, change name of method (Matej Focko)
- Implement pull request for Pagure (Matej Focko)
- Implement pull request for Gitlab (Matej Focko)
- Implement pull request for Github (Matej Focko)
- Implement base class for pull request (Matej Focko)
- Add methods to abstract PullRequest (Matej Focko)
- Ignore smoke test (Frantisek Lachman)
- Add .fmf and setup testing-farm (Frantisek Lachman)
- Rename deprecation decorator (Matej Focko)
- Change deprecation messages (Matej Focko)
- Pass parameters to Issue functions explicitly (Matej Focko)
- Update deprecation warnings for Issue functions (Matej Focko)
- Implement updating Issue object for Pagure (Matej Focko)
- Add tests for updating issue object (Matej Focko)
- Deprecate Issue functions and fix tests (Matej Focko)
- Move issue create, get, get_list to static methods (Matej Focko)
- Update docstrings (Matej Focko)
- Fix typos (Matej Focko)
- Change get_labels to property and add_labels to variable-length args (Matej Focko)
- Create properties for Issue and implement them (Matej Focko)
- Move deprecated issue-related functions to base class (Matej Focko)
- Rename functions in Issue and move raw_issue/project to abstract (Matej Focko)
- Factor out `can_close_issue` (Matej Focko)
- Implement separate Issue for Pagure (Matej Focko)
- Implement separate Issue for GitLab (Matej Focko)
- Implement separate Issue for GitHub (Matej Focko)
- Add methods to abstract Issue and implement BaseIssue (Matej Focko)
- Remove unused import (AnyComment) (Matej Focko)
- Factor out filtering comments to only one method (Matej Focko)
- Add methods to abstract Issue (Matej Focko)
- Fis integration tests. Change PersistentObjectStorage().is_write_mode to PersistentObjectStorage().mode == StorageMode.write (pawelkopka)
- Add requirements to zuul yaml (Matej Focko)
- Remove Deprecated from test env (Matej Focko)
- Add Deprecated to dependencies (Matej Focko)
- Remove github_tweak to use upstream github function (pawelkopka)
- temporary integration test method PullRequest._pr_close_temp() removed (Jan Sakalos)
- GithbProject.pr_close() implemented, integration tests added (Jan Sakalos)
- instegration test splited, related function headers updated, precommit fixes (Jan Sakalos)
- pre-commit fixes (Jan Sakalos)
- response file genrated (Jan Sakalos)
- integration test added (Jan Sakalos)
- pre-commit fixes (Jan Sakalos)
- github_pr_create_rework_250 (Jan Sakalos)
- Fix the path to the packit tests (Frantisek Lachman)
- Use requre-purge to unify the dates and tags in response files (Frantisek Lachman)
- Tweak the stale-bot config (Frantisek Lachman)
- throw exception when repo not found (Sven)
- write bytes as bytes to file (Sven)
- fix changes with type hint inheritance (Sven)
- update NoReturns (Sven)
- type hint changes (Sven)
- type hint changes (Sven)
- improve typehints for abstract.py (Sven)
- improve typehint coverage in utils.py (Sven)
- Update contributing text in README (Frantisek Lachman)
- Add link to contribution guide to README (Romane Green)
- Fix mypy remarks in Pagure's comments (Matej Focko)
- Add config for stale bot (Frantisek Lachman)
- changes args to Any (Sven)
- type hint changes (Sven)
- black format (Sven)
- improve typehints for exceptions.py (Sven)
- Fix black formatting (Frantisek Lachman)
- improve typehints for parsing.py (Sven)
- Resolve remarks from review (Matej Focko)
- (#230) Refactor parsing raw_comment (Matej Focko)
- Change method name (Matej Focko)
- (#230) Update constructors and factor out raw_comment (Matej Focko)
- Remove duplicit import (Matej Focko)
- Use bond TypeVar for abstract comment typing (Frantisek Lachman)
- (#230) Support services' Issue/PRComment creation as in superclass (Matej Focko)
- (#230) Added TODO for backward-link and added raw_comment to objects (Matej Focko)
- (#230) Pagure comments (PR, Issue) implementation (Matej Focko)
- (#230) Keep GithubProject.pr_comment return type as before (Matej Focko)
- (#230) Gitlab comments (PR, Issue) implementation (Matej Focko)
- (#230) Github comments (PR, Issue) implementation (Matej Focko)
- (#230) Refactor abstract classes for comments (Matej Focko)
- Use new format for requre (Frantisek Lachman)
- Add rebase check to pre-commit (Frantisek Lachman)
- (#240) Add parameter to Gitlab to get comments in right order (Matej Focko)
- (#240) Add tests for filtering Issue/PR comments by author (Matej Focko)
- Fix order of Gitlab's PR comments (Matej Focko)
- (#240) Update tests after factoring out getting comments (Matej Focko)
- (#240) Refactor of pr/issue comments (Matej Focko)
- (#240) Extend get_issue/pr_comments interface of filtering by author (Matej Focko)
- (#240) Update filter_comments support (Matej Focko)
- (#204) Add test for creating Pagure project in invalid namespace (Matej Focko)
- Add response for creating Pagure repo in the namespace (Frantisek Lachman)
- (#204) Add project_create to PagureService and add tests for it (Matej Focko)
- (#232) Finish Gitlab tests (Matej Focko)
- (#232) Pagure tests finished (Matej Focko)
- (#232) Start regenerating GitLab tests (Matej Focko)
- (#232) Started regenerating tests for Pagure (Matej Focko)
- Newline added (Matej Focko)
- (#232) Fix GitHub tests (Matej Focko)
- (#232) Update fullname of calling objects for GitHub (Matej Focko)
- (#232) Regenerate factory test_data (Matej Focko)
- (#232) Fix mypy/flake8 errors for gitlab and pagure (Matej Focko)
- Fix mypy errors for github (Frantisek Lachman)
- (#232) Fix circular imports (Matej Focko)
- (#232) Pagure split and __init__ (Matej Focko)
- (#232) GitLab split and __init__ (Matej Focko)
- (#232) GitHub split and __init__ (Matej Focko)
- Add reverse-dependency test of packit (Frantisek Lachman)
- prepare for rev dependency testing, set project dir in case it not come from zuul (Jan Scotka)
- remove all stuff what were moved to requre project (Jan Scotka)
- Add Developer Certificate of Origin (lbarcziova)
- (#233) Update imports in Gitlab tests (Matej Focko)
- Recreate old response files (Frantisek Lachman)
- use requre for storing data for tests (Jan Scotka)
- (#205) Update responses to match updated PagureService.get_project (Matej Focko)
- (#205) Add test_data for Pagure.get_issue_comments (Matej Focko)
- (#205) Implement Pagure.get_issue_comments and add tests (Matej Focko)
- (#205) Implement Gitlab.get_issue_comments and add tests (Matej Focko)
- Fix formatting (Matej Focko)
- (#205) Add Githubproject.get_issue_comments and tests for it (Matej Focko)
- Fix formatting (Matej Focko)
- (#220) Regenerate responses + update broken test (Matej Focko)
- (#220) Pass username to PagureProject in get_project if not given (Matej Focko)
- (#220) PagureProject.is_fork offline and add method for API call (Matej Focko)
- (#220) Regenerate responses and add test (Matej Focko)
- (#220) Make PagureProject.full_repo_name property offline (Matej Focko)
- Apply suggestions by @jpopelka from code review (lachmanfrantisek)
- Add upstream_project_url to .packit.yaml (Frantisek Lachman)
- Bump the specfile (Frantisek Lachman)
- 0.8.0 release (Frantisek Lachman)
- (#224) Rename: __collaborators -> __get_collaborators (Matej Focko)
- (#224) Factor out getting collaborators (GithubProject) (Matej Focko)
- Replace numbers by access constants (Laura Barcziova)
- suggested changes added (Laura Barcziova)
- methods for permissions (Laura Barcziova)
- (#107) Rename test (Matej Focko)
- (#107) Fix type and formatting (Matej Focko)
- (#107) Add tests for querying PRs in issue-related functions (GitHub) (Matej Focko)
- (#107) Raise exception if querying PR using issue-related function (Matej Focko)
- (#107) Fix typo in Github._get_all_issue_comments (Matej Focko)
- (#107) Update test_data for Github's issues (Matej Focko)
- (#107) Filter out pull requests from issues (GitHub) (Matej Focko)
- Do not save links beteen values in response files (Frantisek Lachman)
- specified return type (Laura Barcziova)
- exceptions added (Laura Barcziova)
- methods for pr and issue labels (Laura Barcziova)
- (#218) Remove checking if fork exists in test for full_repo_name (Matej Focko)
- (#218) Add tests for full_repo_name with namespace and fork (Matej Focko)
- (#218) Add tests for full_repo_name property (Matej Focko)
- (#218) Override full_repo_name in PagureProject (Matej Focko)
- (#218) Remove full_repo_name implementation from GitProject (Matej Focko)
- Fix flake8 remarks (Matej Focko)
- (#213) Modify PagureProject.get_web_url() to use project info (Matej Focko)
- (#213) Fix wrong property name in Gitlab.get_web_url() test and add test_data (Matej Focko)
- (#213) Fix Pagure's get_web_url() (Matej Focko)
- (#213) Update GitLab.get_web_url() to use repo object (Matej Focko)
- (#213) Update GitHub.get_web_url() to use repo object (Matej Focko)
- Add tests for get_web_url (Matej Focko)
- Add get_web_url to GitHub, GitLab and Pagure (Matej Focko)
- Add get_web_url to GitProject (Matej Focko)
- Add tests for set_commit_status method (Laura Barcziova)
- Add trim parameter to set_commit_status method (Laura Barcziova)
- test changed (Laura Barcziova)
- test added (Laura Barcziova)
- response files added (Laura Barcziova)
- methods for commit status and commit comment (Laura Barcziova)
- refactor (Laura Barcziova)
- github method for creating projects added (Laura Barcziova)
- Document the tests that are problematic when regenerating (Frantisek Lachman)
- Be consistent in instantiating services in tests (Frantisek Lachman)
- Update GitHub response files and fix the tests (Frantisek Lachman)
- Fix get_email in GitHub implementation (Frantisek Lachman)
- Update Pagure response files and fix the tests (Frantisek Lachman)
- Use returned GitLab repo instance in GitlabService.project_create (Frantisek Lachman)
- Remove Gitlab also from example (Radoslav Pitonak)
- delete GitLab from README.md (Radoslav Pitonak)
- Quickstart example (Radoslav Pitonak)
- Generate response-file for test_create_fork with python_gitlab-1.11 (Frantisek Lachman)
- WIP: forking methods (Laura Barcziova)
- better tests (Laura Barcziova)
- pr close, merge methods (Laura Barcziova)
- Implement service.project_create for GitLab (Frantisek Lachman)
- Use sentences in the CHANGELOG notes (Frantisek Lachman)
- Fix grammar error in CHANGELOG (Frantisek Lachman)
- Update Jenkins removal note in CHANGELOG.md (lachmanfrantisek)
- Bump the specfile (Frantisek Lachman)
- 0.7.0 release (Frantisek Lachman)
- changed sha (Laura Barcziova)
- tests on new repo (Laura Barcziova)
- test fixed (Laura Barcziova)
- raising exception (Laura Barcziova)
- method get_sha_from_tag (Laura Barcziova)
- gitlab: project info methods (Laura Barcziova)
- note added (Laura Barcziova)
- method get_latest_release (Laura Barcziova)
- Fix some typing issues in factory.py (Frantisek Lachman)
- Not overwrite the gitlab token when set on read-mode (Frantisek Lachman)
- Support GitlabAuthenticationError in response files as well (Frantisek Lachman)
- fix backward compafibility for tests (Jan Ščotka)
- Test creating Pagure PRs and fix some username problems in Pagure tests (Frantisek Lachman)
- Creating Pagure PRs calls upstream project url (not the url of fork) (Frantisek Lachman)
- Return Gitlab specific release in get_latest_release in GitlabProject (Frantisek Lachman)
- Remove create_from_remote_url since it is not used anywhere (Frantisek Lachman)
- Remove unused+unrelated code from GitlabService class (Frantisek Lachman)
- Fix the naming issues in GitLab API and add the skeleton of the non-implemented methods (Frantisek Lachman)
- Fix API for update_pr_info (Frantisek Lachman)
- Update error msg with missing github-app key as @TomasTomecek suggested (lachmanfrantisek)
- Improve handling of private-key in github-app tests (Frantisek Lachman)
- Fix imports of the GitHub exceptions (Frantisek Lachman)
- Add cryptography to dependencies to be able to authenticate as a github app (Frantisek Lachman)
- Add test for github-app authentication (Frantisek Lachman)
- Add github_app_private_key_path to GithubService (Frantisek Lachman)
- Document the `get_instances_from_dict` (Frantisek Lachman)
- Add test for github app loading from dict (Frantisek Lachman)
- Improve __str__ for services (Frantisek Lachman)
- Add method for loading services from dictionary (Frantisek Lachman)
- Add more gitlab tests for service mapping (Frantisek Lachman)
- Remove repo specific methods from GitlabService (Frantisek Lachman)
- Make the creation of gitlab objects lazy (Frantisek Lachman)
- Add tests for gitlab service-mapping (Frantisek Lachman)
- Make the pagure service mapping more general (Frantisek Lachman)
- Add gitlab to service mapping (Frantisek Lachman)
- Use non-None token for gitlab tests (Frantisek Lachman)
- tag tests added (Laura Barcziova)
- Save GitlabHttpError to response file (Frantisek Lachman)
- test responses added, test_nonexisting_file fails (Laura Barcziova)
- Fix loading of gitlab response files (Frantisek Lachman)
- Save responses for gitlab (Frantisek Lachman)
- WIP: GitlabRelease, GitlabProject, GitlabUser added (Laura Barcziova)
- WIP: functions for gitlab (Laura Barcziova)
- Run zuul tests both on pip and rpm (Frantisek Lachman)
- Remove Jenkinsfile (Jiri Popelka)
- [CONTRIBUTING.md] CentOS CI -> Zuul (Jiri Popelka)
- pagure: use web url in issue (Dusty Mabe)
- [README.md] Zuul badge (Jiri Popelka)
- removed Optional (Laura Barcziova)
- add suggested changes (Laura Barcziova)
- edit_release as method, get_release changed (Laura Barcziova)
- add method edit_release (Laura Barcziova)
- Rename get_pr_commits to get_all_pr_commits (Petr "Stone" Hracek)
- run tests on one repository (Laura Barcziova)
- Better description (Petr "Stone" Hracek)
- Add get_pr_commits into abstract.py (Petr "Stone" Hracek)
- Remove `assert commits` and check only first and last commit (Petr "Stone" Hracek)
- Update ogr/services/github.py (Petr Hracek)
- Add fnc for getting all commits for PR (Petr "Stone" Hracek)
- PersistenStorageException -> PersistentStorageException (Jiri Popelka)
- run pre-commit (Marek Marušin)
- git cherry-pick of PR#129 and make it works (Marek Marušin)
- Update pagure.py (yzhang2907)
- Update github.py (yzhang2907)
- packit.yaml: propose_downstream: s/_/-/ (Tomas Tomecek)
- Bump the specfile (Frantisek Lachman)
- Add packit job for releasing to Fedora (Frantisek Lachman)
- 0.6.0 release (Frantisek Lachman)
- method _pr_from_github_object differentiate closed and merged status (Marek Marušin)
- allow usage of PRStatus.merged for github pull requests (Marek Marušin)
- add get_latest_release(), create Releases class in test_github.py (Marek Marušin)
- Simplify imports (Frantisek Lachman)
- Split mocking and persistent_storage (Frantisek Lachman)
- Fix github-app authentication (Frantisek Lachman)
- Rename env-var for mocking and allow setting response file from RESPONSE_FILE env-var (Frantisek Lachman)
- Use PersistentObjectStorage as a Singleton (Frantisek Lachman)
- Split mocking and read_only from mocking (Frantisek Lachman)
- Set persistent storage only via class (Frantisek Lachman)
- Update mocking of GithubIntegration from PyGithub (Frantisek Lachman)
- Improve mocking and add support for authentication as a github-app (Frantisek Lachman)
- improve tests from previous commit (Marek Marušin)
- add labeling github pull requests (Marek Marušin)
- mistake fixed (Laura Barcziova)
- PRFlag changed back to PRStatus (Laura Barcziova)
- CommitStatus, PRStatus renamed to CommitFlag, PRFlag (Laura Barcziova)
- use zuul for realz now (Tomas Tomecek)
- test changed (Laura Barcziova)
- method create release for github created (Laura Barcziova)
- add zuul config (Tomas Tomecek)
- bump base image to F30 (Tomas Tomecek)
- add get_releses for Pagure (Marek Marušin)
- unused functions removed (Laura Barcziova)
- add get_releases/get_release into abstract.py (Marek Marušin)
- add who_can_marge_pr and who_can_close_issue (Marek Marušin)
- delete obsolete comments (Marek Marušin)
- fix review notes, add can_close_issue and can_merge_pr, remove who_can_close_issue and who_can_merge_pr (Marek Marušin)
- fix mypy errors (Marek Marušin)
- get project's owners and permissions of various users (Marek Marušin)
- split test_get_tag_from_tag_name (Laura Barcziova)
- value of git_tag in github Release set (Laura Barcziova)
- link to GitTag from Release added (Laura Barcziova)
- collections.Hashable -> collections.abc.Hashable (Jiri Popelka)
- Make PersistentObjectStorage.__init__() backwards compatible (Jiri Popelka)
- in get_file_content catch only 404 (Laura Barcziova)
- subprocess.run fix (Laura Barcziova)
- unify external command invocation by subprocess.run (Laura Barcziova)
- Add integration tests for factory and add more unit tests (Frantisek Lachman)
- Add docstrings to factory and types to parsing (Frantisek Lachman)
- Add get_project and get_service_class to global imports (Frantisek Lachman)
- Add tests for parsing (Frantisek Lachman)
- Add tests for factory (Frantisek Lachman)
- Add __eq__ for projects and services (Frantisek Lachman)
- Save more attributes about parsed url (Frantisek Lachman)
-  [github] Be lazy with github_repo object from pygithub (Frantisek Lachman)
- Fix __str__ after rebase (Frantisek Lachman)
- Add support for services-mapping update (Frantisek Lachman)
- Import services in ogr/__init__.py to see it in the mapping (Frantisek Lachman)
- Add method for creating projects from url (Frantisek Lachman)
- Get project from url (Frantisek Lachman)
- fix code format issues (Marek Marusin)
- add tests, fix review notes (Marek Marusin)
- creating/closing/commenting Pagure Issues (Marek Marusin)
- Fix formating for __str__ methods (Frantisek Lachman)
- Changes requested to_str_method of classes (Shreyanshnit19)
- Added instantiation-like syntax (Shreyanshnit19)
- Added __str__ method to classes (Shreyanshnit19)
- Added __str__ method to classes (Shreyanshnit19)
- Apply suggestions from code review by @TomasTomecek (lachmanfrantisek)
- Bump the specfile (Frantisek Lachman)
- 0.5.0 release (Frantisek Lachman)
- Add response file for test_update_pr_info for github (Frantisek Lachman)
- Skip the update_pr for pagure, since we have no token for generating response files (Frantisek Lachman)
- exceptions changed (Laura Barcziova)
- update_pr_info methods created, wip (Laura Barcziova)
- Add MIT headers to code files (Frantisek Lachman)
- Add tests for creating forks (Frantisek Lachman)
- Allow saving multiple responses (Frantisek Lachman)
- Add get_projects/get_forks to user; add get_forks to project (Frantisek Lachman)
- [pagure] Fix fork tests (Frantisek Lachman)
- [pagure] Fix user in fork part of url (Frantisek Lachman)
- Better get_fork for pagure (Frantisek Lachman)
- Better get_fork for github (Frantisek Lachman)
- Fix formating from the previous PR (Frantisek Lachman)
- [pagure] Use empty dict as a default header (Frantisek Lachman)
- creating, closing, labeling Github Issues (Marek Marusin)
- get info and comment Github Issues (Marek Marusin)
- Document the test generation (Frantisek Lachman)
- Add Makefile targets for removing response files (Frantisek Lachman)
- Determine forcewrite mode from file existance (Frantisek Lachman)
- Rename @readonly to @if_readonly (Frantisek Lachman)
- [spec] bump to 0.4.0 (Jiri Popelka)
- 0.4.0 release (Release bot)
- enable calling dump() after store() (Tomas Tomecek)
- packit.yaml: add a link to docs (Tomas Tomecek)
- packit: sync from downstream & build in copr (Tomas Tomecek)
- Fix mypy errors (Frantisek Lachman)
- Dump RequestResponse on our own (Frantisek Lachman)
- Fix old imports (Frantisek Lachman)
- Remove old Pagure tests (Frantisek Lachman)
- Fix tests and regenerate test responses, do not save headers (Frantisek Lachman)
- Use custom response class for Pagure (Frantisek Lachman)
- Add missing readonly decorator (Frantisek Lachman)
- Use self.get_raw_request on cal_api (Frantisek Lachman)
- Add docstring for Pagure methods (Frantisek Lachman)
- Fix creation of pr comments (Frantisek Lachman)
- Improve the request/response handling and fix authentication header (Frantisek Lachman)
- Apply suggestions by @jpopelka from code review (lachmanfrantisek)
- Fix commit flags/statuses (Frantisek Lachman)
- Remove libpagure from recipe (Frantisek Lachman)
- Methods for commit statuses/flags and comments (Frantisek Lachman)
- Add methods for tags (Frantisek Lachman)
- Fix __str__ for PRComment and PullRequest (Frantisek Lachman)
- Remove libpagure from requirements (Frantisek Lachman)
- Fix forking (Frantisek Lachman)
- Better response handling for Pagure API (Frantisek Lachman)
- Remove OurPagure (Frantisek Lachman)
- Implement forking logic and PR methods (Frantisek Lachman)
- First part of implementing the Pagure classes without libpagure (Frantisek Lachman)
- Add string representation for PRComment and PullRequest (Frantisek Lachman)

* Fri Oct 25 2024 Packit Team <hello@packit.dev> - 0.50.2-1
- New upstream release 0.50.2

* Fri Oct 11 2024 Packit Team <hello@packit.dev> - 0.50.1-1
- New upstream release 0.50.1

* Fri Sep 13 2024 Packit Team <hello@packit.dev> - 0.50.0-1
- New upstream release 0.50.0

* Fri Mar 08 2024 Packit Team <hello@packit.dev> - 0.49.2-1
- New upstream release 0.49.2

* Mon Feb 12 2024 Packit Team <hello@packit.dev> - 0.49.1-1
- New upstream release 0.49.1

* Fri Jan 26 2024 Packit Team <hello@packit.dev> - 0.49.0-1
- New upstream release 0.49.0

* Sun Jan 07 2024 Packit Team <hello@packit.dev> - 0.48.1-1
- New upstream release 0.48.1

* Thu Dec 21 2023 Packit Team <hello@packit.dev> - 0.48.0-1
- New upstream release 0.48.0

* Sun Oct 29 2023 Packit Team <hello@packit.dev> - 0.47.1-1
- New upstream release 0.47.1

* Wed Oct 11 2023 Packit Team <hello@packit.dev> - 0.47.0-1
- New upstream release 0.47.0

* Fri Oct 06 2023 Packit Team <hello@packit.dev> - 0.46.2-1
- New upstream release 0.46.2

* Fri Oct 06 2023 Packit Team <hello@packit.dev> - 0.46.1-1
- New upstream release 0.46.1

* Fri Sep 08 2023 Packit Team <hello@packit.dev> - 0.46.0-1
- New upstream release 0.46.0

* Fri Aug 04 2023 Tomas Tomecek <ttomecek@redhat.com> - 0.45.0-2
- Confirm License is SPDX compatible.

* Mon Jun 05 2023 Packit Team <hello@packit.dev> - 0.45.0-1
- New upstream release 0.45.0

* Sun Mar 05 2023 Packit Team <hello@packit.dev> - 0.44.0-1
- New upstream release 0.44.0

* Thu Feb 23 2023 Packit Team <hello@packit.dev> - 0.43.0-1
- New upstream release 0.43.0

* Mon Jan 16 2023 Packit Team <hello@packit.dev> - 0.42.0-1
- New upstream release 0.42.0

* Thu Oct 27 2022 Packit Team <hello@packit.dev> - 0.41.0-1
- New upstream release 0.41.0

* Fri Sep 16 2022 Packit Team <hello@packit.dev> - 0.40.0-1
- New upstream release 0.40.0

* Wed Sep 07 2022 Packit Team <hello@packit.dev> - 0.39.0-1
- New upstream release 0.39.0

* Fri Apr 29 2022 Frantisek Lachman <flachman@redhat.com> - 0.38.1-1
- New upstream release 0.38.1

* Thu Apr 28 2022 František Nečas <fnecas@redhat.com> - 0.38.0-1
- New upstream release 0.38.0

* Wed Mar 30 2022 Laura Barcziova <lbarczio@redhat.com> - 0.37.0-1
- New upstream release 0.37.0

* Wed Mar 16 2022 František Nečas <fnecas@redhat.com> - 0.36.0-1
- New upstream release 0.36.0

* Wed Feb 16 2022 Maja Massarini <mmassari@redhat.com> - 0.35.0-1
- New upstream release 0.35.0

* Tue Jan 04 2022 Tomas Tomecek <ttomecek@redhat.com> - 0.34.0-1
- New upstream release 0.34.0

* Fri Dec 10 2021 Matej Focko <mfocko@redhat.com> - 0.33.0-1
- New upstream release 0.33.0

* Thu Nov 18 2021 František Nečas <fnecas@redhat.com> - 0.32.0-1
- New upstream release 0.32.0

* Wed Oct 27 2021 Tomas Tomecek <ttomecek@redhat.com> - 0.31.0-1
- New upstream release 0.31.0

* Thu Sep 30 2021 Hunor Csomortáni <csomh@redhat.com> - 0.30.0-1
- New upstream release 0.30.0

* Wed Sep 15 2021 Tomas Tomecek <ttomecek@redhat.com> - 0.29.0-1
- New upstream release 0.29.0

* Mon Aug 09 2021 Matej Focko <mfocko@redhat.com> - 0.28.0-1
- New upstream release 0.28.0

* Thu Jul 15 2021 Jiri Popelka <jpopelka@redhat.com> - 0.27.0-1
- New upstream release 0.27.0

* Fri Jun 11 2021 Tomas Tomecek <ttomecek@redhat.com> - 0.26.0-1
- New upstream release 0.26.0

* Tue Jun 01 2021 Laura Barcziova <lbarczio@redhat.com> - 0.25.0-1
- New upstream release 0.25.0

* Tue Apr 27 2021 Matej Mužila <mmuzila@redhat.com> - 0.24.1-1
- New upstream release 0.24.1

* Fri Apr 23 2021 Matej Mužila <mmuzila@redhat.com> - 0.24.0-1
- New upstream release 0.24.0

* Thu Mar 18 2021 Jiri Popelka <jpopelka@redhat.com> - 0.23.0-1
- New upstream release 0.23.0

* Fri Feb 19 2021 Matej Focko <mfocko@redhat.com> - 0.21.0-1
- New upstream release 0.21.0

* Thu Feb 04 2021 Matej Focko <mfocko@redhat.com> - 0.20.0-1
- New upstream release 0.20.0

* Thu Jan  7 10:52:27 CET 2021 Tomas Tomecek <ttomecek@redhat.com> - 0.19.0-1
- New upstream release 0.19.0

* Wed Dec 09 2020 Jan Sakalos <sakalosj@gmail.com> - 0.18.1-1
- New upstream release 0.18.1

* Tue Oct 27 2020 Jiri Popelka <jpopelka@redhat.com> - 0.18.0-1
- New upstream release 0.18.0

* Wed Sep 30 2020 Matej Focko <mfocko@redhat.com> - 0.16.0-1
- New upstream release 0.16.0

* Wed Sep 16 2020 Tomas Tomecek <ttomecek@redhat.com> - 0.15.0-1
- New upstream release 0.15.0

* Tue Sep 01 2020 Dominika Hodovska <dhodovsk@redhat.com> - 0.14.0-1
- New upstream release 0.14.0

* Wed Aug 19 2020 Jan Sakalos <sakalosj@gmail.com> - 0.13.1-1
- New upstream release 0.13.1

* Wed Aug 05 2020 Jan Sakalos <sakalosj@gmail.com> - 0.13.0-1
- New upstream release 0.13.0

* Thu Jul 09 2020 Jiri Popelka <jpopelka@redhat.com> - 0.12.2-1
- New upstream release 0.12.2

* Wed May 27 2020 Dominika Hodovska <dhodovsk@redhat.com> - 0.12.1-1
- New upstream release 0.12.1

* Wed May 06 2020 Frantisek Lachman <flachman@redhat.com> - 0.12.0-1
- New upstream release 0.12.0

* Fri Apr 17 2020 Frantisek Lachman <flachman@redhat.com> - 0.11.2-1
- New upstream release 0.11.2

* Wed Apr 01 2020 Jan Sakalos <sakalosj@gmail.com> - 0.11.1-1
- patch release: 0.11.1

* Sat Mar 07 2020 Jiri Popelka <jpopelka@redhat.com> - 0.11.0-1
- New upstream release 0.11.0

* Tue Jan 28 2020 Frantisek Lachman <flachman@redhat.com> - 0.10.0-1
- New upstream release 0.10.0

* Wed Dec 04 2019 Frantisek Lachman <flachman@redhat.com> - 0.9.0-1
- New upstream release 0.9.0

* Mon Sep 30 2019 Frantisek Lachman <flachman@redhat.com> - 0.8.0-1
- New upstream release 0.8.0

* Wed Sep 11 2019 Frantisek Lachman <flachman@redhat.com> - 0.7.0-1
- New upstream release 0.7.0

* Tue Jul 23 2019 Frantisek Lachman <flachman@redhat.com> - 0.6.0-1
- New upstream release 0.6.0

* Fri Jun 28 2019 Frantisek Lachman <flachman@redhat.com> - 0.5.0-1
- New upstream release: 0.5.0

* Tue Jun 11 2019 Jiri Popelka <jpopelka@redhat.com> - 0.4.0-1
- New upstream release: 0.4.0

* Tue May 14 2019 Jiri Popelka <jpopelka@redhat.com> - 0.3.1-1
- patch release: 0.3.1

* Mon May 13 2019 Jiri Popelka <jpopelka@redhat.com> - 0.3.0-1
- New upstream release: 0.3.0

* Wed Mar 27 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.2.0-1
- New upstream release: 0.2.0

* Mon Mar 18 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.1.0-1
- New upstream release: 0.1.0

* Thu Feb 28 2019 Frantisek Lachman <flachman@redhat.com> - 0.0.3-1
- New upstream release 0.0.3

* Tue Feb 26 2019 Tomas Tomecek <ttomecek@redhat.com> - 0.0.2-1
- Initial package.
